petsc-3.4.2 2013-07-02

# DMMeshGetGlobalScatter

Retrieve the VecScatter which maps from local, overlapping storage in the default Section to a global Vec

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshGetGlobalScatter(DM dm, VecScatter *scatter)

Collective on DMMesh

### Input Parameters

mesh -the mesh object

### Output Parameter

scatter -the VecScatter

### See Also

MeshDestroy(), DMMeshCreateGlobalrealVector(), DMMeshCreate()

Level:advanced
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages